tidy.ts {broom} | R Documentation

## Tidy a(n) ts object

### Description

Tidy summarizes information about the components of a model. A model component might be a single term in a regression, a single hypothesis, a cluster, or a class. Exactly what tidy considers to be a model component varies cross models but is usually self-evident. If a model has several distinct types of components, you will need to specify which components to return.

### Usage

    ## S3 method for class 'ts'
    tidy(x, ...)

### Arguments

`x` | A univariate or multivariate `ts` times series object.

`...`

Additional arguments. Not used. Needed to match generic signature only. Cautionary note: Misspelled arguments will be absorbed in `...`, where they will be ignored. If the misspelled argument has a default value, the default value will be used. For example, if you pass `conf.lvel = 0.9`, all computation will proceed using `conf.level = 0.95`. Additionally, if you pass `newdata = my_tibble` to an `augment()` method that does not accept a `newdata` argument, it will use the default value for the `data` argument.

### Value

A tibble::tibble with one row for each observation and columns:

`index` | Index (i.e. date or time) for the "ts" object.
`series` | Name of the series (multivariate "ts" objects only).
`value` | Value of the observation.

### See Also

`tidy()`, `stats::ts()`

Other time series tidiers: `tidy.acf`, `tidy.spec`, `tidy.zoo`

### Examples

    set.seed(678)

    tidy(ts(1:10, frequency = 4, start = c(1959, 2)))

    z <- ts(matrix(rnorm(300), 100, 3), start = c(1961, 1), frequency = 12)
    colnames(z) <- c("Aa", "Bb", "Cc")
    tidy(z)

[Package broom version 0.5.2 Index]